1. Firaxis celebrates the "Asian American and Pacific Islander Heritage Month", and offers a give-away of a Civ6 anthology copy (5 in total)! For all the details, please check the thread here. .
    Dismiss Notice
  2. We have selected the winners of the Old World random draw and competition. For the winning entries, please check this thread.
    Dismiss Notice

Civ 3 installation problem

Discussion in 'Civ3 - Macintosh' started by newneo, Jan 13, 2010.

  1. newneo

    newneo Chieftain

    Joined:
    Jan 13, 2010
    Messages:
    1
    Hello everyone, i just bought a Civilization III game for Mac, actually I've the version 10.5.5
    when I launch the Civilization III Installer I get this error: Application Launch Failure The application "(null)" could not be launched because of a shared library error: "<Stand><Stand><CarbonLib><>"
     
  2. AlanH

    AlanH Mac addict, php monkey Moderator Hall of Fame Staff Supporter GOTM Staff

    Joined:
    Jan 9, 2003
    Messages:
    29,428
    Gender:
    Male
    Location:
    England
    Hi, welcome :wavey:

    Which version of Civ3 are you trying to install - MacSoft or Aspyr? What Mac hardware are you installing on?

    If it's the Aspyr Civ3 Complete installer, try copying it to the desktop first, then launching it.

    If it's the old MacSoft version, and you are trying to install it on an Intel Mac, then it's probably not worth trying, as that version is not compatible with Leopard on modern Mac hardware.
     
  3. pentostome

    pentostome Chieftain

    Joined:
    Mar 25, 2011
    Messages:
    1
    Hi!
    you mentioned a compatibility problem which may be mine: I have the old Macsoft Civilization 3 and I'm trying to install it on my intel mac with Tiger. Is it compatible then?
    Pentos
     
  4. AlanH

    AlanH Mac addict, php monkey Moderator Hall of Fame Staff Supporter GOTM Staff

    Joined:
    Jan 9, 2003
    Messages:
    29,428
    Gender:
    Male
    Location:
    England
    Hi, welcome :wavey:

    I don't have Tiger running on an Intel system, so I can't test it. I seem to recall that the compatibility issues started when Leopard came along, but it's a long time ago now. What happens when you try to install it?

    Is it really a problem to just find a copy of the current Aspyr Civ3 Complete version? It's far better, and should be able to run on your system with no problems. Your biggest problem may be that even that version has ceased to be available from the mainstream stockists, but eBay should be able to oblige.
     
  5. Blue Monkey

    Blue Monkey Archon Without Portfolio

    Joined:
    Jul 31, 2005
    Messages:
    11,310
    Location:
    Timeless Isle
    Can still get it on Amazon as well (new 15-20$ including shipping within US). & if you click over to amazon from the CFC front page it benefits CFC. ;)
     

Share This Page